.button {
  @include no-btn;
  --btn-bg: var(--color__red);
  --btn-border: var(--btn-bg);
  --btn-text: var(--color__white);
  padding: 1em 2.5em;
  border-radius: 0.5em;
  border: 1px solid var(--btn-border);
  color: var(--btn-text);
  background: var(--btn-bg);
  transition: 0.24s;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 0.1ch;

  &:hover {
    box-shadow: var(--shadow__main);
  }

  &:focus {
    outline: transparent;
  }

  &:focus-visible {
    box-shadow: none;
    --btn-text: var(--color__grey-dark);
  }

  &:active {
    box-shadow: none;
    --btn-bg: var(--color__green);
  }


  &.--transparent {
    --btn-border: var(--color__red);
    --btn-bg: transparent;
    --btn-text: var(--color__black);
  }

  &.--gold {
    --btn-bg: var(--color__gold);
  }

  &:disabled {
    box-shadow: none;
    --btn-text: var(--color__grey-light);
    --btn-bg: var(--color__grey-dark);
    --btn-border: var(--btn-bg);
  }
}